Subject: bug#65520: 30.0.50; [FR Xref] Project-wide operations

From: Gerd Möllmann <[email-masked]>
Date: Sun, 27 Aug 2023 08:32:21 +0200

Dmitry Gutov <[email-masked]> writes:

>>> Have you tried it?
>> Not yet.  I'm still hoping someone else (tm) builds something, so
>> that I
>> don't have to do anything.
>
> xref-union is a thing that somebody has already built. Either you try
> it and like it, or you can come back with more targeted feedback.
>
> Which we could then use to improve either it, or the core xref, of
> course.

I know, I know. I'm procrastinating ;-).  

...
>> No, I didn't mean Emacs development specifically, although that's
>> probably the only things I'd use such a facility for.
>> The whole thing would be like in some IDEs, with their "usual" idea
>> of
>> project.  I'm not 100% sure, but I think I've seen vscode being used
>> with different languages (JS, CSS, Java...) and offering such
>> project-wide stuff.
>
> IIRC the LSP protocol includes project type detection, and so Eglot
> can automatically spin up several language servers already.
>
> Without the addition of a similar registry, which all backends would
> have to plug into, the best we could do is loop across the open
> project buffers and see what backends exist there. But that would
> e.g. miss Elisp if you haven't opened any .el files in the current
> session yet.

Can't say anything to that...  BTW, I'm not planning on working on
anything in that are.  Just wishing to have something like I described.